// MfcDemoDlg.h : header file
//

#if !defined(AFX_MFCDEMODLG_H__84ED7ED1_D3BF_4AB7_9B56_076E152D801B__INCLUDED_)
#define AFX_MFCDEMODLG_H__84ED7ED1_D3BF_4AB7_9B56_076E152D801B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxtempl.h>

const int CM_NEWMSG = WM_USER + 1;

struct CMsgBufItem 
{
    CString from;
    CString addr;
    CString msgtext;
};

class CMfcDemoDlg;
extern CMfcDemoDlg dlg;

/////////////////////////////////////////////////////////////////////////////
// CMfcDemoDlg dialog

class CMfcDemoDlg : public CDialog
{
// Construction
public:
	CMfcDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMfcDemoDlg)
	enum { IDD = IDD_MFCDEMO_DIALOG };
	CButton	_btn4;
	CButton	_btn3;
	CButton	_btn2;
	CButton	_btn1;
	CEdit	_edit1;
	CEdit	_edit4;
	CEdit	_edit3;
	CEdit	_edit2;
	CButton _rbtn1;
	CButton _rbtn2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfcDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL PreTranslateMessage(MSG * pMsg);
	//}}AFX_VIRTUAL


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMfcDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg LRESULT OnNewMsg(WPARAM lParam, LPARAM wParam);
	afx_msg void OnActivateBtn();
	afx_msg void OnDeactivateBtn();
	afx_msg void OnSendBtn();
	afx_msg void OnExitBtn();
	afx_msg void OnTimer( UINT nIDEvent );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:
	CRITICAL_SECTION msgBufLock;
	CArray<CMsgBufItem,CMsgBufItem> msgBuf;

	HWND _statusbar;

public:
	void NewMsg( CString aFrom, CString aTo, CString aMsg );
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCDEMODLG_H__84ED7ED1_D3BF_4AB7_9B56_076E152D801B__INCLUDED_)
